Subject: bug#4015: 23.1.50; browse-url-of-file stops to work with Firefox 3.5

From: Lennart Borgman <[email-masked]>
Date: Sun, 2 Aug 2009 16:32:08 +0200

On Sun, Aug 2, 2009 at 4:09 PM, Lennart
Borgman<[email-masked]> wrote:
> On Sun, Aug 2, 2009 at 3:53 PM, Lennart
> Borgman<[email-masked]> wrote:
>> Sometimes browse-url-of-file stops working with Firefox 3.5. I don't
>> think I have seen this problem prior to Firefox 3.5 but I am not sure.
>
> Forgot to say that it seems like ShellExecute returns a value > 32
> since there is no error message.

Just found that

  (w32-shell-execute "open" (buffer-file-name) nil 1)

works, but

  (w32-shell-execute "open" (browse-url-file-url (buffer-file-name)) nil 1)

does not work. Though most of the time the latter works too... - just not now.

So it seems like it is hitting some MS Windows bug (XP Pro). At the
moment I have no good suggestion since just removing the "file:///"
part is problematic (it is "file:" by default but still same problem).